/* Importing fonts from Google */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
:root{
    --cor_primaria: #001c2a;
	--cor_secundaria: #04dff5;
	--cor_terciaria: #EEEEEE;
    --cor_cabecalhos: #001c2a;
    --cor_hover_tabela: #04dff5;
    --cor_azul_1: #01a1f9;
    --row_data_tablle: rgba(0, 183, 255, 0.365);

    --cabecalho_page : 3vw;

    /*Cabeçalhos Datatable*/
    --cor_background: #0d1f2b;
    --cor_fonte: #EEEEEE;

    /*fim*/

    /*BOX dos relatórios*/    
    --cabecalho_box : 2vw;
    --cabecalho_padding: .5rem;
    --cabecalho_valores: 2vw;
    /*---------------------------*/



}
/* Reseting */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

a {
    text-decoration: none;
    color: var(--cor_primaria);
}

a:hover{
    color: var(--cor_terciaria);
    text-decoration: none;
}

body {
    background: var(--cor_primaria);
}

#fundologin{
    background-color: var(--cor_primaria);
}

/* Mudar a cor da borda e do brilho (box-shadow) no focus */
.form-control:focus {
    border-color: #4f9aef !important; /* Cor da borda no focus */
    box-shadow: 0 0 10px rgba(56, 225, 255, 0.75) !important; /* Efeito de brilho ao redor */
    outline: none !important; /* Remove a borda padrão do navegador */
}

.wrapper {
    max-width: 350px;
    min-height: 500px;
    margin: 80px auto;
    padding: 20px 30px 30px 30px;
    background-color: #ecf0f3;
    border-radius: 15px;
}

.main_cabecalho {
    background-color: var(--cor_primaria);
    color:var(--cor_terciaria);
    padding: var(--cabecalho_padding);
    font-size: var(--cabecalho_page);
}

.cdtable {
    background-color: var(--cor_background);
    color: var(--cor_fonte);
    border-color: var(--cor_cabecalhos) !important;
}

.card-color-azul {
    background-color: var(--cor_azul_1);
}

.value_box {
    font-size:var(--cabecalho_valores);
}

.caad {
    background-color: var(--cor_cabecalhos);
    color: var(--cor_secundaria);
    font-weight: bolder;
}

.invall {
    border: 2px solid #ff0000 !important;
}

.logo {
    width: 220px;
    margin: auto;
}

.logo img {
    width: 100%;
    /*
    height: 160px;
    object-fit: cover;*/
}

.wrapper .name {
    font-weight: 600;
    font-size: 1.4rem;
    letter-spacing: 1.3px;
    padding-left: 10px;
    color: #555;
}

.wrapper .form-field input {
    width: 100%;
    display: block;
    border: none;
    outline: none;
    background: none;
    font-size: 1.2rem;
    color: #666;
    padding: 10px 15px 10px 10px;
    /* border: 1px solid red; */
}

.wrapper .form-field {
    padding-left: 10px;
    margin-bottom: 20px;
    border-radius: 20px;
    box-shadow: inset 8px 8px 8px #cbced1, inset -8px -8px 8px #fff;
}

.header__box {
    font-size: var(--cabecalho_box);
}

.relatcx {
    background-color: #555;
    color: white;
    padding: .5rem;
    margin-bottom: 1.5rem;
    font-size: 3vw;
}

.relatcx2 {
    background-color: #555;
    color: white;
    padding: .5rem;
    margin-bottom: 1.5rem;
    font-size: 1.5vw;
}

.relat_f {
    font-size: 3vw;
}

.bg-success2 {
    background-color: #015f03;
}

.bg-violeta2 {
    background-color: #42014d;
}

.bg-danger2 {
    background-color: #aa0000;
}

.bg-laranja2 {
    background-color: #ea6d00;
}

.bg-rosa2 {
    background-color: #770056;
}

.bg-pix {
    background-color: #c69f00;
}

.bg-prod {
    background-color: #114d5a;
}

.wrapper .form-field .fas {
    color: #555;
}

.wrapper .btn {
    box-shadow: none;
    width: 100%;
    height: 40px;
    background-color: var(--cor_primaria);
    color: #fff;
    border-radius: 25px;
    box-shadow: 3px 3px 3px #b1b1b1,
        -3px -3px 3px #fff;
    letter-spacing: 1.3px;
}

.wrapper .btn:hover {
    background-color: var(--cor_secundaria);
    color: var(--cor_primaria) !important;
}

.conff {
    background-color: var(--cor_primaria) !important;
    color: var(--cor_terciaria) !important;
    padding: .5rem;
}

.conff:hover{
    color: var(--cor_primaria) !important;
    background-color: var(--cor_secundaria) !important;
    text-decoration: none;
}

.voob {
    background-color:#015f03;
    color:white;
    font-weight: bolder;
    padding:.5rem;

}

.cred {
    border: 2px solid #000;
    background-color: rgb(255, 205, 205);
    color:black;
    font-weight: bolder;
    padding-top: 3rem;
    padding-bottom:3rem;
}

.deb {
    border: 2px solid #000;
    background-color: rgb(227, 255, 205);
    color:black;
    font-weight: bolder;
    padding-top: 3rem;
    padding-bottom:3rem;
}


.container {
    max-width: 100%;
    height: auto;
}

.image {
    width: 100%;
    height: auto;
}

#botlogin{
    color: var(--cor_secundaria);
    border: 4px solid var(--cor_secundaria);
    background-color: var(--cor_primaria);
    font-weight: bolder;
}

#botlogin:hover {
    color: var(--cor_primaria);
    background-color: var(--cor_secundaria);
    font-weight: bolder;
}

.invall {
    border: 2px solid #ff0000 !important;
}

input[type="checkbox"]{
    transform: scale(1.3);
}

input[type="checkbox"]::before {
    background-color: var(--cor_secundaria); /* Cor desejada */
    color: var(--cor_primaria);
}

.coloret {
    color:#5b1f00;
    text-decoration: none;
}

.coloret:hover {
    color: #ff6600;
    text-decoration: none;
}

.wrapper a {
    text-decoration: none;
    font-size: 0.8rem;
    color: var(--cor_primaria);
}

.wrapper a:hover {
    color: var(--cor_secundaria);
}

#rowcaixa:hover > div:nth-child(n) {
    
    background-color: var(--cor_hover_tabela); /* Cor desejada ao passar o mouse */
}

.rowcaixa:hover > div:nth-child(n)  {

    background-color: var(--cor_hover_tabela); /* Cor desejada ao passar o mouse */
}

.rowDataTabel:hover{

    background-color: var(--row_data_tablle); /* Cor desejada ao passar o mouse */
}

.rowcaixa2:hover > td:nth-child(n)  {

    background-color: var(--cor_hover_tabela) !important; /* Cor desejada ao passar o mouse */
}

#dataTable tr:hover:nth-child(1n-1) td {    
    background-color: var(--row_data_tablle);
}


.h3sep {
    background-color: var(--cor_primaria);
    color:var(--cor_terciaria);
    font-weight: bolder;
    padding: .5rem;
}

.h6sep {
    background-color: var(--cor_primaria);
    color:var(--cor_terciaria);
    font-weight: bolder;
    padding: .5rem;
}

.topcaix {
    background-color: #000;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    color: white;
    font-size: 2rem;
    font-weight: bolder;
}

.demarcar:hover{
    background-color: #ffe7d8;
}

.backgt {
    color:#ffffff;
    background-color: #015f03;
}

@media(max-width: 380px) {
    .wrapper {
        margin: 30px 20px;
        padding: 40px 15px 15px 15px;
    }
}